Bug 1104818 - [JON3-25] Duplicate functionality in Operations & Configuration
Summary: [JON3-25] Duplicate functionality in Operations & Configuration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: All
OS: All
unspecified
low
Target Milestone: DR01
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Armine Hovsepyan
Adam Strong
URL:
Whiteboard:
Depends On:
Blocks: JON3-25, PRODMGT-368
TreeView+ depends on / blocked
 
Reported: 2014-06-04 18:10 UTC by Viet Nguyen
Modified: 2015-11-02 00:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:02:02 UTC
Type: Bug


Attachments (Terms of Use)
depricated_operation (152.44 KB, application/octet-stream)
2014-09-11 08:55 UTC, Armine Hovsepyan
no flags Details

Description Viet Nguyen 2014-06-04 18:10:28 UTC
ServerGroup assignment for a deployment can be accomplished in 2 places, as a scheduled operation (Operations tab) or configuration update (Configuration tab).  I'm in favor of making it a configuration update.  Less potential confusion.


Version-Release number of selected component (if applicable):

4.12 snapshot ed8a2c4

Comment 1 Larry O'Leary 2014-06-09 14:50:58 UTC
If we can suppress this from the user-interface and officially "deprecate" the operation, that would be ideal.

Due to backward compatibility with user defined remote API calls or alert notifications, I don't think we should make the operation dispensary in 3.x. But having an operation and now this configuration managed via configuration, doesn't make sense to expose both of them via the UI and we should be pushing users to use the configuration.

Comment 2 Libor Zoubek 2014-06-25 14:51:35 UTC
At least I can but "Deprecated" to operation's description. Would it be good enough? Otherwise I'd have to introduce new attribute in plugin descriptor.

Comment 3 Larry O'Leary 2014-06-25 18:18:10 UTC
Yes. That would work. Something like "Deprecated: Use server-group property found in resource configuration instead." 

Also be sure to mark the operation as deprecated or whatever else is necessary to ensure that it is no longer documented in future builds of the resource reference guide[1].

@John, what do we need to do to get a release note captured for this change? Perhaps that is already being done via JON3-25/PRODMGT-368?

[1]: https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.2/html/Complete_Resource_Reference/JBossAS7-JBossAS7_Host_Controller-DomainDeployment.html

Comment 5 Libor Zoubek 2014-06-26 21:47:29 UTC
in master

commit cef4088f79d468c8d2e7c2b5f62f94e46fca47be
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Thu Jun 26 23:44:31 2014 +0200

    Bug 1104818 - [JON3-25] Duplicate functionality in Operations &
    Configuration
    
    Deprecate "Assign To Server-Group" operation

Comment 6 Simeon Pinder 2014-07-31 15:52:38 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Comment 8 Armine Hovsepyan 2014-09-11 08:55:04 UTC
verified in JON 3.3 ER02
screen-shot attached

Comment 9 Armine Hovsepyan 2014-09-11 08:55:39 UTC
Created attachment 936451 [details]
depricated_operation


Note You need to log in before you can comment on or make changes to this bug.